summaryrefslogtreecommitdiffstats
path: root/source/xfce/xfce4-panel
diff options
context:
space:
mode:
Diffstat (limited to 'source/xfce/xfce4-panel')
-rw-r--r--source/xfce/xfce4-panel/libxfce4panel.max_blinking_count.8.diff12
-rwxr-xr-xsource/xfce/xfce4-panel/xfce4-panel.SlackBuild14
2 files changed, 21 insertions, 5 deletions
diff --git a/source/xfce/xfce4-panel/libxfce4panel.max_blinking_count.8.diff b/source/xfce/xfce4-panel/libxfce4panel.max_blinking_count.8.diff
new file mode 100644
index 000000000..3a2df6751
--- /dev/null
+++ b/source/xfce/xfce4-panel/libxfce4panel.max_blinking_count.8.diff
@@ -0,0 +1,12 @@
+--- libxfce4panel/xfce-arrow-button.c.old 2013-05-05 17:47:07.000000000 +0200
++++ libxfce4panel/xfce-arrow-button.c 2013-09-17 10:09:51.162754511 +0200
+@@ -52,7 +52,7 @@
+
+
+ #define ARROW_WIDTH (8)
+-#define MAX_BLINKING_COUNT (G_MAXUINT)
++#define MAX_BLINKING_COUNT (8)
+
+ enum
+ {
+
diff --git a/source/xfce/xfce4-panel/xfce4-panel.SlackBuild b/source/xfce/xfce4-panel/xfce4-panel.SlackBuild
index 37620b8c1..6d98f8ad5 100755
--- a/source/xfce/xfce4-panel/xfce4-panel.SlackBuild
+++ b/source/xfce/xfce4-panel/xfce4-panel.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2012, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,13 +22,13 @@
PKGNAM=xfce4-panel
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
case "$MARCH" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
armv7hl) export ARCH=$MARCH ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
@@ -38,8 +38,8 @@ fi
NUMJOBS=${NUMJOBS:--j6}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -64,6 +64,9 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Blink to notify 4 times (4 on, 4 off), not G_MAXUINT times:
+zcat $CWD/libxfce4panel.max_blinking_count.8.diff.gz | patch -p0 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -81,6 +84,7 @@ CFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
--disable-debug \
+ --enable-gtk3 \
--build=$ARCH-slackware-linux || exit 1
# Build and install: